import { ObjektClient, VerbrauchsausweisGewerbeClient, VerbrauchsausweisWohnenClient } from "#components/Ausweis/types.js";
import { AuditType, hidden } from "./hidden.js";

export function auditZeitraumAktuell(ausweis: VerbrauchsausweisWohnenClient | VerbrauchsausweisGewerbeClient, gebaeude: ObjektClient): boolean {
	if (hidden.has(AuditType.ZEITRAUM_AKTUELL)) {
		return false;
	}

    if (ausweis) {
        if (ausweis.startdatum && ausweis.verbrauch_1) {
            let checkDate = new Date();
            checkDate.setMonth(checkDate.getMonth() - 54);

            return (ausweis.startdatum < checkDate && ausweis.verbrauch_1 > 0);
        }
    }

    return false;
}



